import BorderPanel from "./BorderPanel";
import BasicPagination from "./BasicPagination";
import BasicModal from "./BasicModal";
import BasicTable from "./BasicTable";
import ButtonBlock from "./ButtonBlock";
import { ButtonGroup, ButtonGroupItem } from "./ButtonGroup";
import LinearText from "./LinearText";
const components = [
  BorderPanel,
  LinearText,
  ButtonBlock,
  ButtonGroup,
  ButtonGroupItem,
  BasicModal,
  BasicPagination,
  BasicTable,
];

function install(app) {
  components.forEach((item) => {
    item.install && item.install(app);
  });
}

export {
  BorderPanel,
  LinearText,
  BasicTable,
  ButtonBlock,
  ButtonGroup,
  ButtonGroupItem,
  BasicModal,
  BasicPagination,
};

export default {
  install,
};
